- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Examples
- Try it!
Returns all policy bindings that bind a specific policy if a user has searchPolicyBindings permission on that policy.
HTTP request
GET https://iam.googleapis.com/v3/{name=projects/*/locations/*/accessPolicies/*}:searchPolicyBindings
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the Unified Access Policy. Format: * |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of Unified Access Policy bindings to return. The service might return a smaller number of bindings. If unspecified, at most 50 bindings are returned. The maximum value is 1000; values above 1000 are reduced to 1000. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of SearchAccessPolicyBindingsResponse.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/iam
For more information, see the Authentication Overview.